package tourist.util;

public class Tourist extends Animal {

    public Tourist()
    {
        super.addToEnergy(500);
    }

    public void seeAttraction(int attractions)
    {
        super.subtractFromEnergy(attractions * 5);
    }

    public void goShopping(int shopsVisisted)
    {
        super.subtractFromEnergy(shopsVisisted * 10);
    }

    public void findRestaurant()
    {
        super.subtractFromEnergy(20);
    }

    public void eat(Animal meal)
    {
        super.addToEnergy(meal.getEnergy());
    }

    public void goParty(int drinks)
    {
        super.addToEnergy(drinks * 100);
    }

    public void goSwimming(int minutes)
    {
        super.subtractFromEnergy(minutes);
    }
}