package tourist.util;

public class Wombat extends Animal {

    public Wombat()
    {
        super.addToEnergy(50);
    }

    public void walk(int steps)
    {
        super.subtractFromEnergy(steps * 2);
    }

    public void sleep(int hours)
    {
        super.addToEnergy(hours * 2);
    }

    public void eat(Animal feast)
    {
        super.addToEnergy(feast.getEnergy());
    }

}